From: Luca Vizzarro <luca.vizzarro@arm.com>
To: dev@dpdk.org
Cc: Luca Vizzarro <luca.vizzarro@arm.com>,
Paul Szczepanek <paul.szczepanek@arm.com>,
Patrick Robb <probb@iol.unh.edu>
Subject: [PATCH] dts: grab linter return value
Date: Tue, 18 Feb 2025 23:07:46 +0000 [thread overview]
Message-ID: <20250218230746.1281585-1-luca.vizzarro@arm.com> (raw)
In dts-check-format we were checking if the linter was updating the
tree, but we were not picking up the return value in case an unfixable
error would be raised.
Signed-off-by: Luca Vizzarro <luca.vizzarro@arm.com>
Reviewed-by: Paul Szczepanek <paul.szczepanek@arm.com>
---
devtools/dts-check-format.sh | 1 +
1 file changed, 1 insertion(+)
diff --git a/devtools/dts-check-format.sh b/devtools/dts-check-format.sh
index 44501f6d3b..907eed1293 100755
--- a/devtools/dts-check-format.sh
+++ b/devtools/dts-check-format.sh
@@ -84,6 +84,7 @@ if $lint; then
heading "Linting in $directory/"
if command -v ruff > /dev/null; then
ruff check --fix
+ errors=$((errors + $?))
git update-index --refresh
retval=$?
--
2.43.0
reply other threads:[~2025-02-19 14:36 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20250218230746.1281585-1-luca.vizzarro@arm.com \
--to=luca.vizzarro@arm.com \
--cc=dev@dpdk.org \
--cc=paul.szczepanek@arm.com \
--cc=probb@iol.unh.edu \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).